Bases for all cIOSes?

Discussion in 'Wii - Hacking' started by 466, Jul 25, 2014.

  1. 466
    OP

    466 yes, it says 466

    Member
    200
    30
    Mar 28, 2014
    United Kingdom
    Earth
    .
     
    Last edited by 466, Jun 28, 2017
  2. 466
    OP

    466 yes, it says 466

    Member
    200
    30
    Mar 28, 2014
    United Kingdom
    Earth
    ...
     
  3. SomeWeirdSin

    SomeWeirdSin GBAtemp Regular

    Member
    104
    14
    Jun 14, 2014
    United States
    Under the bridge
    I recommend cIOS249 d2x base56 and cIOS250 d2x base57. These will allow you to load virtually all wii games from your usb HDD.

    -248: rev19, base 37 (guitar games)
    -247: rev20, base 57 (black ops)
    -222: Hermes's 5.1
    -223: Hermes's 5.1
    -224: Hermes's 5.1
    That's all I know man. Hope that will do :yaywii:
     
  4. Porobu

    Porobu Gbatemps Shiny Latias

    Member
    1,042
    7
    Sep 12, 2009
    You only need base 56 for most games, 57 for other ones and probably base 58 for USB 2.0 games
     
  5. SomeWeirdSin

    SomeWeirdSin GBAtemp Regular

    Member
    104
    14
    Jun 14, 2014
    United States
    Under the bridge

    Exactly what Porobu said.
     
  6. 466
    OP

    466 yes, it says 466

    Member
    200
    30
    Mar 28, 2014
    United Kingdom
    Earth
    .
     
    Last edited by 466, Jun 28, 2017
  7. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    11,804
    4,991
    Mar 17, 2010
    Norway
    Alola
    Replace IOS249 with a base 56 and you're good to go.
     
  8. 466
    OP

    466 yes, it says 466

    Member
    200
    30
    Mar 28, 2014
    United Kingdom
    Earth
    My cIOS249 is base 56, but sysCheck says 37.
     
  9. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    11,804
    4,991
    Mar 17, 2010
    Norway
    Alola
    Well then there's nothing more to do, your cIOSes are up to date and using the correct bases.
    None of them are stubs either :P
     
  10. 466
    OP

    466 yes, it says 466

    Member
    200
    30
    Mar 28, 2014
    United Kingdom
    Earth
    .
     
    Last edited by 466, Jun 28, 2017
  11. Cyan

    Cyan GBATemp's lurking knight

    Global Moderator
    18,042
    8,561
    Oct 27, 2002
    France
    Engine room, learning
    and what would be the use to fill all the slots with different files ?
    Filling your limited space? sure
    playing games? nope, only three cIOS are needed for all Wii games. Having more is unnecessary.
    And don't touch slot 254 (it's Bootmii)


    If you really want to install more useful cIOS, you should install rev17 and rev19 base 38, which are the one needed for N64 VC channels played through emuNAND.
    newer is not always better.
     
  12. 466
    OP

    466 yes, it says 466

    Member
    200
    30
    Mar 28, 2014
    United Kingdom
    Earth
    .
     
    Last edited by 466, Jun 28, 2017
  13. SomeWeirdSin

    SomeWeirdSin GBAtemp Regular

    Member
    104
    14
    Jun 14, 2014
    United States
    Under the bridge

    Usually people say "thank you" when complete strangers take time out of their day to give one advice. Go to the credits section of your usb-loader gx and you'll see a special thanks just for Cyan, the guy who just helped you out with an explicit answer to your question. A little etiquette goes a long way my friend. I don't want to start an argument over this, and I'm sorry if this post offends you.
     
  14. Cyan

    Cyan GBATemp's lurking knight

    Global Moderator
    18,042
    8,561
    Oct 27, 2002
    France
    Engine room, learning
    I guess it wasn't the answer he expected from me.
    Or he didn't understood what I explained (which is a possibility, sometime I don't explain correctly).

    Maybe I didn't understand what he is trying to do too.
    What I understood is :
    You want to install all existing cIOS with all possible version and base, just in case you will need it?
    or
    You want to fill all empty slots from 200 to 255 just for having them filled?

    on both case, it's not a good idea to install cIOS that you will never use. First because like I said it's using your limited space, and second because you will never use them.

    If you want to only know which version/base is better for the IOS slots you listed, then you will ever need :

    d2x v8 (or v10) base 56 : 90% of games. Usually installed in slot 249
    d2x v8 (or v10) base 57 : 1% of games. Usually installed in slot 250
    d2x v8 (or v10) base 58 : 8% of games. Sometime installed in slot 251
    missing % = official IOS59 required by Dragon Quest X to encrypt the external HDD.
    rev17 base 38 : For few Wiiware Channels not working using EmuNAND with d2x. Installed in a slot between 240-248
    rev19 base 38 : For few VC Channels not working using EmuNAND with d2x. Installed in a slot between 240-248
    Hermes v4 base 38+60 (or Rodries 202) : Used by few/old homebrew, like WiiSX, to get USB Access. Installed in slot 202.

    Other hermes shouldn't be needed anymore, unless you use uLoader.

    slot236 (base 36) can also be used by few homebrew. if you have it, don't remove it. If you don't have it, no need to install it.
     
    panamex likes this.
  15. 466
    OP

    466 yes, it says 466

    Member
    200
    30
    Mar 28, 2014
    United Kingdom
    Earth
    .
     
    Last edited by 466, Jun 28, 2017
  16. thefear

    thefear Newbie

    Newcomer
    7
    0
    Jun 26, 2009
    gday guys, sorry to bring back up an old post, but the information here is quite helpful.

    Im starting out installing some cIOS'es, but im confused which revision version to install.. dx2 v10 base 57 for example, has quite a number of revision's i can choose.. Which one is the best? .. the highest numbered one? im guessing that would be the newest?.

    Thanks guys
     
  17. Cyan

    Cyan GBATemp's lurking knight

    Global Moderator
    18,042
    8,561
    Oct 27, 2002
    France
    Engine room, learning
    higher is not always the better.
    Be careful with old "quite helpful informative posts", they are often outdated and shouldn't be followed blindly.

    You are on Wii or WiiU ?
    if you are on WiiU, only v10 and v10-alt can be installed

    If you want only one cIOS to install:
    You should install d2x v10 (r52, not r53, not Alt)
    install d2x v10 base57 version 21010 in slot 249 and all your game will work.
     
  18. thefear

    thefear Newbie

    Newcomer
    7
    0
    Jun 26, 2009
    Hey Cyan,

    Im running an old PAL Wii on Version 4.3E.

    I am attempting to run a Game called We Wing, Ive tried loading it up on IOS249-base56, and IOS250-base57.. But i am having vocal lag issues.. so im going through my options and found about different revision numbers (hoping a change might work miracles).

    Im happy to run as many IOSes i need, (Not like the OP lol).

    Thanks for you help.
     
  19. Cyan

    Cyan GBATemp's lurking knight

    Global Moderator
    18,042
    8,561
    Oct 27, 2002
    France
    Engine room, learning
    if you already have d2x v8 or newer, then there's nothing better to install.
    Maybe you can try d2x with base58, as musical games often require base58 to work with microphones, extensions, etc.
    if you install base58, it's common practice to install it to slot251

    d2x v10 (r52) base 58 slot 251 version 21010
     
  20. Dr_fleb

    Dr_fleb Newbie

    Newcomer
    6
    2
    Apr 19, 2017
    France
    Hey there,

    I just read upthere that Cyan is advising to install cIOS rev19 base 38 in slots between 240-248 But can't figure out how to do this

    I'm trying to use a N64 wad (Zelda Majora's Mask) with cIOS emunand
    I have slots 249 and 250 filled with d2x v8 base 56 and 57 respectively and the game is stuck on the rotating N64 logo with this config.

    I saw in the cIOS compatibility table that it should work with the rev19 cIOS so I tried to install it using Waninkoko customIOS rev19 installer v2.3 but couldn't find a parameter allowing to install it on a slot I would chose.
    In the installer GUI I can apparently chose slots 249, 223 and I believe some others but nothing in between 240-248 (This appear as "cios223" or "cios249" options in the installer as far as I remember).
    There is also written at the bottom of the page "custom IOS will be installed in slot 249"

    Because I did not wanted to overwrite the cIOS already installed there or messup my config I cowardly did nothing.

    Would someone here know how to install cIOS rev19 base 38 on slots 240-248 ???

    Many thanks for your help.